﻿@model MyDirectAccessesObjectView
@{
    Layout = "~/Views/Shared/_Layout.cshtml";
    <link href="~/content/fonts/7-stroke/7-stroke.css" rel="stylesheet" />

    bool _AreaPLM = ((UserView)Session["UserLogin"]).ListArea.Where(c => c.Area == "PLM").FirstOrDefault() != null ? true : false;
    bool _AreaPURCHASE = ((UserView)Session["UserLogin"]).ListArea.Where(c => c.Area == "PURCHASE").FirstOrDefault() != null ? true : false;
    bool _AreaSALES = ((UserView)Session["UserLogin"]).ListArea.Where(c => c.Area == "SALES").FirstOrDefault() != null ? true : false;
    bool _AreaMASTERDATA = ((UserView)Session["UserLogin"]).ListArea.Where(c => c.Area == "MASTERDATA").FirstOrDefault() != null ? true : false;
    bool _AreaSERVICECALL = ((UserView)Session["UserLogin"]).ListArea.Where(c => c.Area == "SERVICECALL").FirstOrDefault() != null ? true : false;
    bool _AreaCRM = ((UserView)Session["UserLogin"]).ListArea.Where(c => c.Area == "CRM").FirstOrDefault() != null ? true : false;
}



<style>

.clearfix {
height: 5px;
width: 100%;
float: left;      
}
.bloke_botones button {
float: left;
}

input[type=checkbox] {
float: left;
}
.bloke_botones {
    display: block;
}

.boton_home_1, .boton_home_2, .boton_home_3, .boton_home_4, .boton_home_5, .boton_home_6, .boton_home_7 { float: left; width: 100%; padding-top: 0px; display: block;  margin: 0%;  padding: 0%; position: relative; margin-bottom: 15px; min-height: 140px;  }


</style>


<h1 class="page-header">@ViewBag.Tite</h1>
<div class="panel panel-default">
    <div class="panel-heading ">
        <h3 class="panel-title">@Shared.CD</h3>
    </div>
    <div class="panel-body">
        <div class="form-group">
            <label class="col-md-2 control-label">@Companies.SN</label>
            <div class="col-md-4">
                @Html.LabelForModel(Model.CompanyConnect.Server, new { @class = "form-control" })
            </div>
        </div>
        <div class="form-group">
            <label class="col-md-2 control-label">@Companies.DBName</label>
            <div class="col-md-4">
                @Html.LabelForModel(Model.CompanyConnect.CompanyDB, new { @class = "form-control" })
            </div>
        </div>
    </div>
</div>

<div class="panel panel-default">
    <div class="panel-heading">
        <h3 class="panel-title">@Shared.MyDirectAccesses</h3>
    </div>
    <div class="panel-body">
        <div class="form-group directlinks">
            <div class="col-lg-12">
                @if ((Model.ListDirectAccessView.Where(c => c.Area == -1).ToList().Count > 0))
                {
                    <div href="PLM/Home" class="boton_home_1">
                        <div class="bloke_botones">
                            @Shared.Custom
                            <button type="button" id="CheckAllCustom">Check All</button>
                        </div>

                        <div class="boton_home_col_dere">
                            @{
                                foreach (DirectAccessView mDirectAccess in Model.ListDirectAccessView.Where(c => c.Area == -1).ToList())
                                {
                                    <div class="sections_module">
                                        <div class="sections_module_title">@Shared.Custom</div>
                                        <div class="lista_quick">
                                            <input type="checkbox" class="" id="Custom_@mDirectAccess.IdTile" name="CheckCustom" @(Model.ListUserDirectAccessView.Where(c => c.IdTile == mDirectAccess.IdTile).FirstOrDefault() != null ? "checked" : "")> <span href="#" class="" data-toggle="tooltip" data-placement="top" title="" data-original-title="Create">@(string.IsNullOrEmpty(mDirectAccess.TranslatedName) ? mDirectAccess.UrlName : mDirectAccess.TranslatedName)</span>
                                            <div class="clearfix"></div>
                                        </div>
                                    </div>
                                }
                            }
                        </div>
                    </div>
                                }
                @if (_AreaPLM && (Model.ListDirectAccessView.Where(c => c.Area == ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "PLM").FirstOrDefault().IdAreaKeys).ToList().Count > 0))
                {
                    <div href="PLM/Home" class="boton_home_1">
                        <div class="bloke_botones">
                            PLM
                            <div class="clearfix"></div>
                            <button type="button" id="CheckAllPLM">Check All</button>
                        </div>
                        <div class="boton_home_col_dere">
                            @{List<DirectAccessView> mDirectAccessViewList = Model.ListDirectAccessView.Where(c => c.Area == ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "PLM").FirstOrDefault().IdAreaKeys).ToList();
                                List<int> mPages = mDirectAccessViewList.Select(c => c.Page).Distinct().ToList();
                                foreach (int mPageAux in mPages)
                                {
                                    if (((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.IdPage == mPageAux).FirstOrDefault() != null)
                                    {
                                        <div class="sections_module">
                                            <div class="sections_module_title">@Model.ListPage.Where(c => c.IdPage == mPageAux).FirstOrDefault().Description</div>
                                            <div class="lista_quick">
                                                @foreach (DirectAccessView mDirectAccessViewAux in mDirectAccessViewList.Where(c => c.Page == mPageAux))
                                                {
                                                    if (((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.IdPage == mPageAux && c.IdAction == mDirectAccessViewAux.Action).FirstOrDefault() != null)
                                                    {
                                                        <input type="checkbox" class="" id="@mDirectAccessViewAux.IdDirectAccess" name="CheckPLM" @(Model.ListUserDirectAccessView.Where(c => c.IdDirectAccess == mDirectAccessViewAux.IdDirectAccess).FirstOrDefault() != null ? "checked" : "")> <span href="#" class="" data-toggle="tooltip" data-placement="top" title="" data-original-title="Create">@(string.IsNullOrEmpty(mDirectAccessViewAux.TranslatedName) ? mDirectAccessViewAux.UrlName : mDirectAccessViewAux.TranslatedName)</span>
                                                        <div class="clearfix"></div>
                                                    }
                                                }
                                            </div>
                                        </div>
                                    }
                                }
                            }
                        </div>
                    </div>
                                }
                @if (_AreaSALES && (Model.ListDirectAccessView.Where(c => c.Area == ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "SALES").FirstOrDefault().IdAreaKeys).ToList().Count > 0))
                {
                    <div href="Sales/Home" class="boton_home_2">
                        <div class="bloke_botones">
                            Sales
                            <div class="clearfix"></div>
                            <button type="button" id="CheckAllSales">Check All</button>
                        </div>

                        <div class="boton_home_col_dere">
                            @{List<DirectAccessView> mDirectAccessViewList = Model.ListDirectAccessView.Where(c => c.Area == ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "SALES").FirstOrDefault().IdAreaKeys).ToList();
                                List<int> mPages = mDirectAccessViewList.Select(c => c.Page).Distinct().ToList();
                                foreach (int mPageAux in mPages)
                                {
                                    if (((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.IdPage == mPageAux).FirstOrDefault() != null)
                                    {
                                        <div class="sections_module">
                                            <div class="sections_module_title">@Model.ListPage.Where(c => c.IdPage == mPageAux).FirstOrDefault().Description</div>
                                            <div class="lista_quick">
                                                @foreach (DirectAccessView mDirectAccessViewAux in mDirectAccessViewList.Where(c => c.Page == mPageAux))
                                                {
                                                    if (((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.IdPage == mPageAux && c.IdAction == mDirectAccessViewAux.Action).FirstOrDefault() != null)
                                                    {
                                                        switch (mDirectAccessViewAux.Url)
                                                        {
                                                            case "Sales/SalesOrder/ActionPurchaseOrder?ActionPurchaseOrder=Add&IdPO=0&fromController=MyDocuments":
                                                                if (((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null)
                                                                {
                                                                    <input type="checkbox" class="" id="@mDirectAccessViewAux.IdDirectAccess" name="CheckSales" @(Model.ListUserDirectAccessView.Where(c => c.IdDirectAccess == mDirectAccessViewAux.IdDirectAccess).FirstOrDefault() != null ? "checked" : "")> <span href="#" class="" data-toggle="tooltip" data-placement="top" title="" data-original-title="Create">@(string.IsNullOrEmpty(mDirectAccessViewAux.TranslatedName) ? mDirectAccessViewAux.UrlName : mDirectAccessViewAux.TranslatedName)</span>
                                                                    <div class="clearfix"></div>
                                                                }
                                                                break;
                                                            case "Sales/SalesQuotation/ActionPurchaseOrder?ActionPurchaseOrder=Add&IdPO=0&fromController=MyDocuments":
                                                                if (((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesQuotation.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null)
                                                                {
                                                                    <input type="checkbox" class="" id="@mDirectAccessViewAux.IdDirectAccess" name="CheckSales" @(Model.ListUserDirectAccessView.Where(c => c.IdDirectAccess == mDirectAccessViewAux.IdDirectAccess).FirstOrDefault() != null ? "checked" : "")> <span href="#" class="" data-toggle="tooltip" data-placement="top" title="" data-original-title="Create">@(string.IsNullOrEmpty(mDirectAccessViewAux.TranslatedName) ? mDirectAccessViewAux.UrlName : mDirectAccessViewAux.TranslatedName)</span>
                                                                    <div class="clearfix"></div>
                                                                }
                                                                break;
                                                            default:
                                                                <input type="checkbox" class="" id="@mDirectAccessViewAux.IdDirectAccess" name="CheckSales" @(Model.ListUserDirectAccessView.Where(c => c.IdDirectAccess == mDirectAccessViewAux.IdDirectAccess).FirstOrDefault() != null ? "checked" : "")> <span href="#" class="" data-toggle="tooltip" data-placement="top" title="" data-original-title="Create">@(string.IsNullOrEmpty(mDirectAccessViewAux.TranslatedName) ? mDirectAccessViewAux.UrlName : mDirectAccessViewAux.TranslatedName)</span>
                                                                <div class="clearfix"></div>
                                                                break;
                                                        }
                                                    }
                                                }
                                            </div>
                                        </div>
                                    }
                                }
                            }
                        </div>
                    </div>
                                }
                @if (_AreaPURCHASE && (Model.ListDirectAccessView.Where(c => c.Area == ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "PURCHASE").FirstOrDefault().IdAreaKeys).ToList().Count > 0))
                {
                    <div href="Purchase/Home" class="boton_home_3">
                        <div class="bloke_botones">
                            Purchase
                            <div class="clearfix"></div>
                            <button type="button" id="CheckAllPurchase">Check All</button>
                        </div>

                        <div class="boton_home_col_dere">
                            @{List<DirectAccessView> mDirectAccessViewList = Model.ListDirectAccessView.Where(c => c.Area == ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "PURCHASE").FirstOrDefault().IdAreaKeys).ToList();
                                List<int> mPages = mDirectAccessViewList.Select(c => c.Page).Distinct().ToList();
                                foreach (int mPageAux in mPages)
                                {
                                    if (((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.IdPage == mPageAux).FirstOrDefault() != null)
                                    {
                                        <div class="sections_module">
                                            <div class="sections_module_title">@Model.ListPage.Where(c => c.IdPage == mPageAux).FirstOrDefault().Description</div>
                                            <div class="lista_quick">
                                                @foreach (DirectAccessView mDirectAccessViewAux in mDirectAccessViewList.Where(c => c.Page == mPageAux))
                                                {
                                                    if (((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.IdPage == mPageAux && c.IdAction == mDirectAccessViewAux.Action).FirstOrDefault() != null)
                                                    {
                                                        switch (mDirectAccessViewAux.Url)
                                                        {
                                                            case "Purchase/PurchaseOrder/ActionPurchaseOrder?ActionPurchaseOrder=Add&IdPO=0&fromController=MyDocuments":
                                                                if (((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null)
                                                                {
                                                                    <input type="checkbox" class="" id="@mDirectAccessViewAux.IdDirectAccess" name="CheckPurchase" @(Model.ListUserDirectAccessView.Where(c => c.IdDirectAccess == mDirectAccessViewAux.IdDirectAccess).FirstOrDefault() != null ? "checked" : "")> <span href="#" class="" data-toggle="tooltip" data-placement="top" title="" data-original-title="Create">@(string.IsNullOrEmpty(mDirectAccessViewAux.TranslatedName) ? mDirectAccessViewAux.UrlName : mDirectAccessViewAux.TranslatedName)</span>
                                                                    <div class="clearfix"></div>
                                                                }
                                                                break;
                                                            case "Purchase/PurchaseQuotation/ActionPurchaseOrder?ActionPurchaseOrder=Add&IdPO=0&fromController=MyDocuments":
                                                                if (((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseQuotation.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null)
                                                                {
                                                                    <input type="checkbox" class="" id="@mDirectAccessViewAux.IdDirectAccess" name="CheckPurchase" @(Model.ListUserDirectAccessView.Where(c => c.IdDirectAccess == mDirectAccessViewAux.IdDirectAccess).FirstOrDefault() != null ? "checked" : "")> <span href="#" class="" data-toggle="tooltip" data-placement="top" title="" data-original-title="Create">@(string.IsNullOrEmpty(mDirectAccessViewAux.TranslatedName) ? mDirectAccessViewAux.UrlName : mDirectAccessViewAux.TranslatedName)</span>
                                                                    <div class="clearfix"></div>
                                                                }
                                                                break;
                                                            case "Purchase/PurchaseRequest/ActionPurchaseRequest?ActionPurchaseRequest=Add&IdPR=0&fromController=MyDocuments":
                                                                if (((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseRequest.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null)
                                                                {
                                                                    <input type="checkbox" class="" id="@mDirectAccessViewAux.IdDirectAccess" name="CheckPurchase" @(Model.ListUserDirectAccessView.Where(c => c.IdDirectAccess == mDirectAccessViewAux.IdDirectAccess).FirstOrDefault() != null ? "checked" : "")> <span href="#" class="" data-toggle="tooltip" data-placement="top" title="" data-original-title="Create">@(string.IsNullOrEmpty(mDirectAccessViewAux.TranslatedName) ? mDirectAccessViewAux.UrlName : mDirectAccessViewAux.TranslatedName)</span>
                                                                    <div class="clearfix"></div>
                                                                }
                                                                break;
                                                            default:
                                                                <input type="checkbox" class="" id="@mDirectAccessViewAux.IdDirectAccess" name="CheckPurchase" @(Model.ListUserDirectAccessView.Where(c => c.IdDirectAccess == mDirectAccessViewAux.IdDirectAccess).FirstOrDefault() != null ? "checked" : "")> <span href="#" class="" data-toggle="tooltip" data-placement="top" title="" data-original-title="Create">@(string.IsNullOrEmpty(mDirectAccessViewAux.TranslatedName) ? mDirectAccessViewAux.UrlName : mDirectAccessViewAux.TranslatedName)</span>
                                                                <div class="clearfix"></div>
                                                                break;
                                                        }
                                                    }
                                                }
                                            </div>
                                        </div>
                                    }
                                }
                            }
                        </div>
                    </div>
                                }
                @if (_AreaMASTERDATA && (Model.ListDirectAccessView.Where(c => c.Area == ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "MASTERDATA").FirstOrDefault().IdAreaKeys).ToList().Count > 0))
                {
                    <div href="MasterData/Home" class="boton_home_4">
                        <div class="bloke_botones">
                            Master Data
                            <div class="clearfix"></div>
                            <button type="button" id="CheckAllMasterData">Check All</button>
                        </div>

                        <div class="boton_home_col_dere">
                            @{List<DirectAccessView> mDirectAccessViewList = Model.ListDirectAccessView.Where(c => c.Area == ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "MASTERDATA").FirstOrDefault().IdAreaKeys).ToList();
                                List<int> mPages = mDirectAccessViewList.Select(c => c.Page).Distinct().ToList();
                                foreach (int mPageAux in mPages)
                                {
                                    if (((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.IdPage == mPageAux).FirstOrDefault() != null)
                                    {
                                        <div class="sections_module">
                                            <div class="sections_module_title">@Model.ListPage.Where(c => c.IdPage == mPageAux).FirstOrDefault().Description</div>
                                            <div class="lista_quick">
                                                @foreach (DirectAccessView mDirectAccessViewAux in mDirectAccessViewList.Where(c => c.Page == mPageAux))
                                                {
                                                    if (((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.IdPage == mPageAux && c.IdAction == mDirectAccessViewAux.Action).FirstOrDefault() != null)
                                                    {
                                                        <input type="checkbox" class="" id="@mDirectAccessViewAux.IdDirectAccess" name="CheckMasterData" @(Model.ListUserDirectAccessView.Where(c => c.IdDirectAccess == mDirectAccessViewAux.IdDirectAccess).FirstOrDefault() != null ? "checked" : "")> <span href="#" class="" data-toggle="tooltip" data-placement="top" title="" data-original-title="Create">@(string.IsNullOrEmpty(mDirectAccessViewAux.TranslatedName) ? mDirectAccessViewAux.UrlName : mDirectAccessViewAux.TranslatedName)</span>
                                                        <div class="clearfix"></div>
                                                    }
                                                }
                                            </div>
                                        </div>
                                    }
                                }
                            }
                        </div>
                    </div>
                                }
                @if (_AreaSERVICECALL && (Model.ListDirectAccessView.Where(c => c.Area == ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "SERVICECALL").FirstOrDefault().IdAreaKeys).ToList().Count > 0))
                {
                    <div href="ServiceCall/Home" class="boton_home_5">
                        <div class="bloke_botones">
                            Service Call
                            <div class="clearfix"></div>
                            <button type="button" id="CheckAllServiceCall">Check All</button>
                        </div>
                        <div class="boton_home_col_dere">

                            @{List<DirectAccessView> mDirectAccessViewList = Model.ListDirectAccessView.Where(c => c.Area == ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "SERVICECALL").FirstOrDefault().IdAreaKeys).ToList();
                                List<int> mPages = mDirectAccessViewList.Select(c => c.Page).Distinct().ToList();
                                foreach (int mPageAux in mPages)
                                {
                                    if (((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.IdPage == mPageAux).FirstOrDefault() != null)
                                    {
                                        <div class="sections_module">
                                            <div class="sections_module_title">@Model.ListPage.Where(c => c.IdPage == mPageAux).FirstOrDefault().Description</div>
                                            <div class="lista_quick">
                                                @foreach (DirectAccessView mDirectAccessViewAux in mDirectAccessViewList.Where(c => c.Page == mPageAux))
                                                {
                                                    if (((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.IdPage == mPageAux && c.IdAction == mDirectAccessViewAux.Action).FirstOrDefault() != null)
                                                    {
                                                        <input type="checkbox" class="" id="@mDirectAccessViewAux.IdDirectAccess" name="CheckServiceCall" @(Model.ListUserDirectAccessView.Where(c => c.IdDirectAccess == mDirectAccessViewAux.IdDirectAccess).FirstOrDefault() != null ? "checked" : "")> <span href="#" class="" data-toggle="tooltip" data-placement="top" title="" data-original-title="Create">@(string.IsNullOrEmpty(mDirectAccessViewAux.TranslatedName) ? mDirectAccessViewAux.UrlName : mDirectAccessViewAux.TranslatedName)</span>
                                                        <div class="clearfix"></div>
                                                    }
                                                }
                                            </div>
                                        </div>
                                    }
                                }
                            }
                        </div>
                    </div>
                                }
                @if (_AreaCRM && (Model.ListDirectAccessView.Where(c => c.Area == ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "CRM").FirstOrDefault().IdAreaKeys).ToList().Count > 0))
                {
                    <div href="CRM/Home" class="boton_home_5">
                        <div class="bloke_botones">
                            CRM
                            <div class="clearfix"></div>
                            <button type="button" id="CheckAllCRM">Check All</button>
                        </div>

                        <div class="boton_home_col_dere">
                            @{List<DirectAccessView> mDirectAccessViewList = Model.ListDirectAccessView.Where(c => c.Area == ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "CRM").FirstOrDefault().IdAreaKeys).ToList();
                                List<int> mPages = mDirectAccessViewList.Select(c => c.Page).Distinct().ToList();
                                foreach (int mPageAux in mPages)
                                {
                                    if (((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.IdPage == mPageAux).FirstOrDefault() != null)
                                    {
                                        <div class="sections_module">
                                            <div class="sections_module_title">@Model.ListPage.Where(c => c.IdPage == mPageAux).FirstOrDefault().Description</div>
                                            <div class="lista_quick">
                                                @foreach (DirectAccessView mDirectAccessViewAux in mDirectAccessViewList.Where(c => c.Page == mPageAux))
                                                {
                                                    if (((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.IdPage == mPageAux && c.IdAction == mDirectAccessViewAux.Action).FirstOrDefault() != null)
                                                    {
                                                        <input type="checkbox" class="" id="@mDirectAccessViewAux.IdDirectAccess" name="CheckCRM" @(Model.ListUserDirectAccessView.Where(c => c.IdDirectAccess == mDirectAccessViewAux.IdDirectAccess).FirstOrDefault() != null ? "checked" : "")> <span href="#" class="" data-toggle="tooltip" data-placement="top" title="" data-original-title="Create">@(string.IsNullOrEmpty(mDirectAccessViewAux.TranslatedName) ? mDirectAccessViewAux.UrlName : mDirectAccessViewAux.TranslatedName)</span>
                                                        <div class="clearfix"></div>
                                                    }
                                                }
                                            </div>
                                        </div>
                                    }
                                }
                            }
                        </div>
                    </div>
                                }
            </div>
        </div>
    </div>
</div>

<div class="but_blok_footer">
    <div class="col-md-12">
        <button type="button" id="btnOk" class="btn btn-lg btn-success pull-right margin-left">Ok</button>
        @Html.ActionLink(@Companies.Cancel, "Index", "Home", null, new { @class = "btn btn-lg btn-default pull-right margin-left" })
    </div>
</div>

@Html.HiddenFor(c => c.IdUser, new { @id = "IdUser" })

@Scripts.Render("~/bundles/MyDirectAccesses")